View Issue Details

IDProjectCategoryView StatusLast Update
0004146DraftBugpublic2020-01-07 16:55
Reportermikeshemp Assigned Toyorik  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004146: Draft->SelectPlane fails when selecting shape face
DescriptionToday I tried to construct a pyramid, then change one of its faces to be the working plane so I could place text on it. Instead I received the following error:

File "C:\...\FreeCAD_0.19.18293_x64_LP_12.1.2_PY3QT5-WinVS2015\Mod\Draft\DraftSelectPlane.py", line 242, in handle
    FreeCAD.DraftWorkingPlane.alignToFace(sel.SubObjects[0], self.taskd.form.fieldOffset.Value)

'PySide2.QtWidgets.QLineEdit' object has no attribute 'Value'
Steps To ReproduceI was able to reproduce this two ways. The easiest is
1. Part -> Create Geometric Primitive
2. Select Wedge, hit Ok (all default parameters are fine)
3. Go to Draft Workbench
4. Select a face of the wedge
5. Click the Select Working Plane button

I was also able to repro the same error by creating a pyramid by sketching two squares and lofting the space between them.

Am I using it wrong or is this a bug in FreeCAD? I'm using the latest daily build as of 9/25/2019.
Additional InformationOS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18293 (Git)
Build type: Release
Branch: master
Hash: 644fb4739df4d5ff25fbae8aa4db50331c60fe63
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United States (en_US)
TagsNo tags attached.
FreeCAD Information

Activities

mikeshemp

2019-09-26 04:20

reporter   ~0013686

Note, as instructed, I tried to post to the forum before filing a bug. However, trying to post resulted in "You cannot make another post so soon after your last." even though it was my first post.

Kunda1

2019-09-26 17:06

administrator   ~0013688

Which post ?

mikeshemp

2019-09-26 19:19

reporter   ~0013689

https://forum.freecadweb.org/viewtopic.php?f=23&t=39635

Kunda1

2019-10-02 01:45

administrator   ~0013703

Per the thread it seems that FreeCAD Pull Request 2554 is a temp fix for this issue

Kunda1

2020-01-07 16:50

administrator   ~0014009

Last edited: 2020-01-07 16:53

View 3 revisions

FreeCAD master e325f2e5

Kunda1

2020-01-07 16:55

administrator   ~0014010

Associated fix with ticket.
Closing ticket

Related Changesets

FreeCAD: master e325f2e5

2019-09-24 18:49:33

f.chinello


Committer: yorik Details Diff
fixes issue aligning workplane to a face

this is a quick workaround for a problem introduced in the Draft select plane procedure while refactoring the code. not sure it is the best fix though.
Affected Issues
0004146
mod - src/Mod/Draft/DraftSelectPlane.py Diff File

Issue History

Date Modified Username Field Change
2019-09-26 04:19 mikeshemp New Issue
2019-09-26 04:20 mikeshemp Note Added: 0013686
2019-09-26 17:06 Kunda1 Note Added: 0013688
2019-09-26 17:07 Kunda1 Tag Attached: #post-to-forum
2019-09-26 19:19 mikeshemp Note Added: 0013689
2019-10-02 01:43 Kunda1 Tag Detached: #post-to-forum
2019-10-02 01:45 Kunda1 Note Added: 0013703
2019-10-02 01:46 Kunda1 Tag Attached: #tobeclosed
2019-10-02 01:46 Kunda1 Status new => confirmed
2019-10-02 05:51 Kunda1 Assigned To => yorik
2019-10-02 05:51 Kunda1 Status confirmed => assigned
2019-10-02 05:52 Kunda1 Target Version => 0.19
2019-10-02 05:52 Kunda1 Steps to Reproduce Updated View Revisions
2019-10-02 05:52 Kunda1 Additional Information Updated View Revisions
2020-01-07 16:50 Kunda1 Note Added: 0014009
2020-01-07 16:51 Kunda1 Note Edited: 0014009 View Revisions
2020-01-07 16:53 Kunda1 Note Edited: 0014009 View Revisions
2020-01-07 16:54 Kunda1 Changeset attached => FreeCAD master e325f2e5
2020-01-07 16:54 Kunda1 Tag Detached: #tobeclosed
2020-01-07 16:55 Kunda1 Status assigned => closed
2020-01-07 16:55 Kunda1 Resolution open => fixed
2020-01-07 16:55 Kunda1 Fixed in Version => 0.19
2020-01-07 16:55 Kunda1 Note Added: 0014010